Page MenuHomePhabricator

Can't search an exact phrase in Phabricator
Closed, ResolvedPublic

Description

Reported upstream: https://secure.phabricator.com/T6780

A search for "parent project" (with double quotes) should result in a list pages that have the exact phrase. Currently "parent" AND "project" seems to be provided instead. Examples:

General search
https://phabricator.wikimedia.org/search/query/vqVbuOTA8zj4/#R

Maniphest advanced search
https://phabricator.wikimedia.org/maniphest/query/hOCP1FU.zbhf/#R

Event Timeline

Nemo_bis created this task.Nov 24 2014, 3:29 PM
Nemo_bis raised the priority of this task from to Needs Triage.
Nemo_bis updated the task description. (Show Details)
Nemo_bis added a project: Phabricator.
Nemo_bis changed Security from none to None.
Nemo_bis added a subscriber: Nemo_bis.
Qgil renamed this task from Can't search an exact phrase to Can't search an exact phrase in Phabricator.Nov 25 2014, 8:52 AM
Qgil triaged this task as Normal priority.
Qgil updated the task description. (Show Details)
Qgil raised the priority of this task from Normal to High.Nov 26 2014, 8:30 AM
Qgil added a subscriber: Qgil.
Qgil added a subscriber: demon.Dec 17 2014, 7:43 AM

@Chad is taking care of search related tasks, and he will prioritize them accordingly. Setting this one as Normal, since he has started with T679: Phabricator search does not search substrings.

Also, I wonder what is the right approach for Elasticsearch related tasks upstream. In one hand, the Phabricator maintainers (who are not using this backend) say that they want to focus on the default, MySQL based search. On the other hand, upstream is probably still the right place to do this work, if only to make it visible to other Elasticsearch users there.

In other words, should we file this task upstream?

Qgil lowered the priority of this task from High to Normal.Dec 17 2014, 7:44 AM
Qgil moved this task from Backlog to Need Discussion on the Phabricator (Upstream) board.
demon added a comment.Dec 17 2014, 3:21 PM
In T75743#852597, @Qgil wrote:

Also, I wonder what is the right approach for Elasticsearch related tasks upstream. In one hand, the Phabricator maintainers (who are not using this backend) say that they want to focus on the default, MySQL based search. On the other hand, upstream is probably still the right place to do this work, if only to make it visible to other Elasticsearch users there.
In other words, should we file this task upstream?

Yes, I'd say file it. They have their own Elasticsearch project for tracking them too and there's at least one other third party user other than ourselves who seems very interested in seeing Elastic support improve for Phab.

Qgil updated the task description. (Show Details)Dec 18 2014, 1:29 PM
Qgil moved this task from Need Discussion to Wikimedia requests on the Phabricator (Upstream) board.
demon claimed this task.Dec 18 2014, 10:57 PM
He7d3r added a subscriber: He7d3r.Dec 19 2014, 10:31 AM
Qgil moved this task from To Triage to Doing on the Phabricator board.Dec 22 2014, 10:01 AM

This was merged upstream.

Qgil closed this task as Resolved.Jan 7 2015, 10:41 AM
Qgil added a comment.Jan 15 2015, 6:42 AM

Unless there is some indexing to be done or some special syntax to be used other than quotes, searching for "whole blocks" gives many results where such string doesn't exist.

General search: https://phabricator.wikimedia.org/search/query/Zpn.7BOas6wY/#R

Maniphest search: https://phabricator.wikimedia.org/maniphest/query/6beSYzcyoWVS/#R

I guess this task needs to be reopened.

demon reopened this task as Open.Jan 15 2015, 4:26 PM

Ugh, this worked in my testing. Will have to revisit.

Tgr added a subscriber: Tgr.Jan 15 2015, 10:23 PM
jayvdb added a subscriber: jayvdb.Feb 6 2015, 4:13 AM
chasemp closed this task as Resolved.Feb 11 2015, 4:09 PM
chasemp added a subscriber: chasemp.
In T75743#978756, @Qgil wrote:

Unless there is some indexing to be done or some special syntax to be used other than quotes, searching for "whole blocks" gives many results where such string doesn't exist.
General search: https://phabricator.wikimedia.org/search/query/Zpn.7BOas6wY/#R
Maniphest search: https://phabricator.wikimedia.org/maniphest/query/6beSYzcyoWVS/#R
I guess this task needs to be reopened.

with recently failing over to the mysql engine this seems to be working as expected

Restricted Application added projects: Discovery, Discovery-Search. · View Herald TranscriptMay 23 2016, 6:05 PM
Restricted Application added a subscriber: TerraCodes. · View Herald Transcript
Nnemo added a subscriber: Nnemo.Jul 4 2016, 8:07 PM